#include<iostream>
#include<cmath>
using namespace std;
main()
{
	long int x1, y1, x2, y2;
	scanf("%ld%ld",&x1,&y1);
	scanf("%ld%ld",&x2,&y2);
	if(x1 == x2 || y1 == y2)
		printf("2");
	else if(abs(x2-x1) == abs(y2-y1))
		printf("1");
	else 
		printf("0");
}